package moevie.dbtest;

import moevie.db.DataAccess;
import moevie.db.DataAccessProvider;

/**
 * Programma waarmee de databaselaag kan worden getest. De testen maken gebruik van 'assert'-opdrachten. Je moet ze dus
 * uitvoeren met de 'assertions enabled'.
 * <p>
 * Gebruikt de database 'moevietst' in de huidige directory.
 */
public class Main {


    public static void main(String[] args) {

        if (!assertionsEnabled()) {
            System.out.println("ERROR *** Dit testprogramma gebruikt 'assertions' en moet uitgevoerd worden met de optie '-ea'");
            System.exit(1);
        }

        System.out.println("OPGELET! Vooraleer je de testen uitvoert, moet je de databank wellicht\n" +
                "opnieuw initializeren. De testen kunnen de inhoud van de databank wijzigen\n" +
                "=======");
        DataAccessProvider dap = DataAccess.getDAP("moevietst");

        new FilmDAOTest(dap).run();
        new GebruikerDAOTest(dap).run();
        new BeoordelingDAOTest(dap).run();

        dap.close();

        System.out.println("\nAlle testen zijn met succes uitgevoerd");

    }

    // hack waarmee je kunt te weten komen of assertions al dan niet zijn ingeschakeld
    private static boolean assertionsEnabled() {
        boolean enabled = false;
        assert enabled = true; // '=' en niet '==' (hack!)
        return enabled;
    }
}
