-- (c) 2016 Universiteit Gent

-- Maakt de tabellen aan voor de databank.
--
-- Deze opdrachten zijn bedoeld voor een Java DB (Derby) databank. Lichte aanpassingen kunnen nodig zijn wanneer
-- je andere databanksoftware gebruikt

CREATE TABLE Gebruikers (
    ID VARCHAR(8) PRIMARY KEY,                         -- gebruikers'naam' van maximum 8 tekens
    Wachtwoord VARCHAR(32) NOT NULL                    -- wachtwoord wordt niet versleuteld
);

CREATE TABLE Films (
    ID INT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,   -- automatisch ingevuld door Derby
    Titel VARCHAR(128),
    Hoofdrol VARCHAR(128),
    Eigenaar VARCHAR(8) REFERENCES Gebruikers(ID),     -- persoon die de film heeft geïntroduceerd
    Aangemaakt TIMESTAMP DEFAULT CURRENT TIMESTAMP
);

CREATE TABLE Beoordelingen (
    -- een record wordt in deze tabel pas aangemaakt als de gebruiker aangeeft dat hij
    -- de film heeft gezien
    Film  INT REFERENCES Films(ID),
    Gebruiker VARCHAR(8) REFERENCES Gebruikers(ID),
    Commentaar VARCHAR(16384),
    Sterren INT,
    Aangemaakt TIMESTAMP DEFAULT CURRENT TIMESTAMP,
    PRIMARY KEY(Film, Gebruiker)
);
