package moevie.db;

import moevie.db.jdbc.JDBCDataAccessProvider;

/**
 * Bevat de methoden waarmee je een data-access-provider kunt aanmaken.
 *
 * In deze implementatie gebruiken we een ingebedde Java DB (= Apache Derby) server. Er zijn echter
 * slechts kleine aanpassingen nodig om  bijvoorbeeld in de plaats een MySQL-databank te gebruiken. (Deze aanpassingen
 * moeten dan gebeuren in de klasse {@link  JDBCDataAccessProvider}.)
}
 */
public class DataAccess {

    /**
     * Geeft een data-access-provider terug.
     * @param naam Naam van de corresponderende database, bijv. "moevie' voor de webapplicatie, of
     *             "moevietest" bij testen. De naam wordt gebruikt om de databank te localiseren en is relatief
     *             ten opzichte van de huidige'working' directory.
     */
    public static DataAccessProvider getDAP(String naam) {
        return new JDBCDataAccessProvider(naam);
    }
}
