package moevie.db;

import moevie.db.dao.BeoordelingDAO;
import moevie.db.dao.FilmDAO;
import moevie.db.dao.GebruikerDAO;

/**
 * Abstractie van een databank, Aan een dergelijk object kan je data-access-objecten opvragen waarmee
 * je databankgegevens kunt opvragen of wijzigen.
 *
 * Gebruik {@link DataAccess#getDAP(String)} om een data-access-provider te bekomen (en op te starten).
 * Roep {@link #close} op vlak voordat je het programma stopt
 */
public interface DataAccessProvider  {

    GebruikerDAO getGebruikerDAO();

    FilmDAO getFilmDAO();

    BeoordelingDAO getBeoordelingDAO();

    void close();

}
