package moevie.db.data;

/**
 * Bevat de gegevens van één enkele beoordeling.
 */
public class Beoordeling {

    // filmID: niet gebruikt
    //
    private int film;

    private String gebruiker;

    private String commentaar;

    private int sterren;

    public Beoordeling(int film, String gebruiker, String commentaar, int sterren) {
        this.film = film;
        this.gebruiker = gebruiker;
        this.commentaar = commentaar;
        this.sterren = sterren;
    }

    /**
     * Unieke sleutel voor de film waarbij deze beoordeling hoort
     */
    public int getFilm() {
        return film;
    }

    /**
     * Gebruiker die deze beoordeling heeft gemaakt.
     */
    public String getGebruiker() {
        return gebruiker;
    }

    /**
     * Geef aan of deze beoordeling al is ingevuld.
     */
    public boolean isIngevuld() {
        return commentaar != null;
    }

    /**
     * Commentaar bij deze beoordeling. Is NULL zijn als er nog geen commentaar is ingevuld.
     * @see #isIngevuld()
     */
    public String getCommentaar() {
        return commentaar;
    }

    /**
     * Aantal sterren toegekend aan deze film. Is steeds 1,2,3,4 of 5. Is 0 als er nog geen commentaar is ingevuld.
     * @see #isIngevuld()
     */
    public int getSterren() {
        return sterren;
    }
}