package moevie.db.jdbc;

import moevie.db.DataAccessProvider;
import moevie.db.dao.BeoordelingDAO;
import moevie.db.dao.FilmDAO;
import moevie.db.dao.GebruikerDAO;

import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * Implementatie van {@link JDBCDataAccessProvider} met behulp van JDBC.
 */
public class JDBCDataAccessProvider implements DataAccessProvider {

    private String url;

    public JDBCDataAccessProvider(String naam) {
        this.url = "jdbc:derby:" + naam;
    }

    @Override
    public GebruikerDAO getGebruikerDAO() {
        return new JDBCGebruikerDAO(url);
    }

    @Override
    public FilmDAO getFilmDAO() {
        return new JDBCFilmDAO(url);
    }

    @Override
    public BeoordelingDAO getBeoordelingDAO() {
        return new JDBCBeoordelingDAO(url);
    }

    @Override
    public void close() {
        try {
            DriverManager.getConnection("jdbc:derby:;shutdown=true");
        } catch (SQLException ex) {
            // De documentatie van Apache Derby geeft aan dat we hier een uitzondering mogen verwachtem
            // We vangen die dus op maar doen er niets mee
        }
    }
}
