<#--/> <!--
   Macro's voor bootstrap-componenten
-->

<#macro form action error="" method="POST">
    <form action="${action}" method="${method}">
        <div class="container">
            <div class="centered">
                <#if error?has_content>
                    <div class="alert alert-danger alert-block">
                    <i class="fa fa-exclamation-circle fa-2x"></i> ${error}
                    </div>
                </#if>
                <#nested/>
            </div>
        </div>
    </form>
</#macro>

<#macro input_text name value>
    <div class="form-group row">
        <label for="${name}" class="control-label col-sm-2"><#nested/></label>
        <div class="col-sm-8">
            <input type="text" class="form-control input-md"
                   id="${name}" name="${name}" value="${value?html}">
        </div>
    </div>
</#macro>

<#macro input_password name value>
    <div class="form-group row">
        <label for="${name}" class="control-label col-sm-2"><#nested/></label>
        <div class="col-sm-8">
            <input type="password"
                   class="form-control input-md"
                   id="${name}" name="${name}" value="${value?html}">
        </div>
    </div>
</#macro>

<#macro submit value>
    <input type="submit" value="${value?html}" class="btn btn-primary">
</#macro>

<#macro textarea name label="">
    <div class="form-group row">
        <label for="${name}" class="control-label col-sm-2">${label}</label>
        <div class="col-sm-8">
            <textarea class="form-control input-md"
                      id="${name}" name="${name}"><#nested/></textarea>
        </div>
    </div>
</#macro>