import controllers.Filmdetail;
import controllers.Filmoverzicht;
import controllers.Start;
import controllers.Stop;
import spark.Spark;
import spark.servlet.SparkApplication;
import spark.xtra.Engine;
import views.Hulp;

import static spark.xtra.Routes.get;
import static spark.xtra.Routes.post;

public class Moevie implements SparkApplication {

    /**
     * Configuratie van het platform.
     */
    private void configuratie() {

        Spark.staticFileLocation("/public");

        // Kies één van volgende opties:

        // 1.
//        Engine.setBaseDirectory("/simple");

        // 2.
        // Engine.setBaseDirectory("/views"); // niet nodig - is standaard
        Engine.addAutoInclude("macros/includes.ftl");
        Engine.addAutoImport("bs", "macros/bootstrap.ftl");
        Engine.setStaticMethodClass(Hulp.class);
    }

    /**
     * Installatie van alle routes
     */
    private void routes() {
        // Algemeen
        get("/", Start.class, "index");
        post("/session", Start.class, "login");
        post("/session/delete", Start.class, "logout");

        // Filmoverzicht
        get("/films", Filmoverzicht.class, "index");
        get("/films/new", Filmoverzicht.class, "nieuw");
        post("/films", Filmoverzicht.class, "maakFilm");
        post("/films/gezien", Filmoverzicht.class, "markeerAlsGezien");

        // Detailpagina films
        get("/films/:id", Filmdetail.class, "index");
        post("/films/:id/gezien", Filmdetail.class, "markeerAlsGezien");

        // Beoordelingen
        post("/films/:id", Filmdetail.class, "maakBeoordeling");

        // Stop de server
        get ("/stop", Stop.class, "stop");

    }

    /**
     * Bevat alle code om de webapplicatie op te starten. Wordt automatisch opgeroepen als
     * deze webapplicatie wordt ontplooid.
     */
    @Override
    public void init() {
        configuratie();
        routes();
    }


    /**
     * Start de webapplicatie op in 'stand alone' modus.
     */
    public static void main(String[] args) {
        // spark.Spark.port(8080); // standaardpoort is 4567
        new Moevie().init();
    }
}