package controllers;

import spark.xtra.Page;

import java.util.ArrayList;
import java.util.Map;

/**
 * Bevat actiemethoden voor lijsten van films
 */
public class Filmoverzicht extends MoevieController {

    /**
     * Toont het overzicht van alle films.
     */
    public Page index() {
        return page("films.html")
                .with("films", DAP.getFilmDAO().lijstFilms(getAangemeldeGebruiker()));
    }

    /**
     * Verwerkt de 'gezien'-checkboxes op de startpagina
     */
    public Page markeerAlsGezien() {
        // haal alle parameters op van de vorm gezien[..]=.. en zet de 'indexen' om naar een lijst van gehele getallen
        ArrayList<Integer> filmIds = new ArrayList<>();
        for (String key : request.queryMap("gezien").toMap().keySet()) {
            filmIds.add(Integer.parseInt(key));
        }

        // markeer
		DAP.getBeoordelingDAO().markeerAlsGezien( getAangemeldeGebruiker(), filmIds );
        return redirect ("/films");
    }

    /**
     * Toon een formulier waarmee een nieuwe film kan toegevoegd worden
     */
    public Page nieuw() {
        return page("nieuweFilm.html").withBlank("naam", "hoofdrol");
    }

    /**
     * Maak een nieuwe film aan
     */
    public Page maakFilm() {

        String naam = request.queryParams("naam");
        String hoofdrol = request.queryParams("hoofdrol");

        if (naam.trim().isEmpty() || hoofdrol.trim().isEmpty()) {
            return page("nieuweFilm.html")
                    .with("naam", naam)
                    .with("hoofdrol", hoofdrol)
                    .with("error", "Naam en hoofdrolspeler mogen niet leeg zijn");
        }

        // TODO foutafhandeling
        int filmId = DAP.getFilmDAO().nieuweFilm(naam, getAangemeldeGebruiker(), hoofdrol);
        return redirect("/films/" + filmId);
    }
}
