package controllers;

import moevie.db.DataAccess;
import moevie.db.DataAccessProvider;
import spark.xtra.Controller;

/**
 * Bovenklasse van alle controllers die we zullen gebruiken in deze webapplicatie.
 */
public class MoevieController extends Controller {

    /**
     * Data access provider die toegang geeft tot de databank
     */
    protected static final DataAccessProvider DAP = DataAccess.getDAP("moevie");

    /**
     * De gebruiker die is ingelogd
     * @return Naam van de gebruiker, of null als er niemand is ingelogd
     */
	protected String getAangemeldeGebruiker() {
		return request.session().attribute("id");
	}
}
