package controllers;

import spark.xtra.Page;

/**
 * Behandelt login en logout en de startpagina voor wie reeds is aangemeld
 */
public class Start extends MoevieController {

    /**
     * Toont een startpagina die afhangt van of de gebruiker is ingelogd of niet
     */
    public Page index() {
        if (getAangemeldeGebruiker() == null) {
            return page("login.html")
                    .withBlank("gebruikersnaam", "wachtwoord");
        } else {
            return redirect("/films");
        }
    }

    /**
     * Aanmelden aan de hand van gebruikersnaam en wachtwoord
     */
    public Page login() {
        // haal de inhoud op van het formulier
        String gebruikersnaam = request.queryParams("gebruikersnaam");
        String wachtwoord = request.queryParams("wachtwoord");

        String error;
        if (gebruikersnaam.trim().isEmpty() || wachtwoord.trim().isEmpty()) {
            // signaleer een fout en toon het formulier opnieuw
            error = "Wachtwoord of gebruikersnaam mogen niet leeg zijn";
        } else if (DAP.getGebruikerDAO().findGebruiker(gebruikersnaam, wachtwoord)) {
            // geldige login
            request.session().attribute("id", gebruikersnaam);
            return redirect("/");
        } else {
            // geen geldige login
            error = "Ongeldige gebruikersnaam of wachtwoord";
        }

        // Toon het formulier opnieuw, met bijbehorend foutbericht
        return page("login.html")
                .with("gebruikersnaam", gebruikersnaam)
                .with("wachtwoord", wachtwoord)
                .with("error", error);
    }

    /**
     * Log terug uit
     */
    public Page logout() {
        // request.session().removeAttribute("id");
        request.session().invalidate();
        return redirect("/");
    }
}
