package views;

import java.util.ArrayList;
import java.util.List;

/**
 * Deze klasse bevat (klassen)methoden die in views gebruikt kunnen worden.
 */
public class Hulp {

    /**
     * Kan gebruikt worden om aantallen sterren in een web-pagina voor te stellen
     * met een figuur, Geeft een lijst van strings terug van de vorm
     * <pre>
     *     star star star star-half-o star-o
     * </pre>
     * corresponderend met een aantal volle sterren (star), eventueel
     * een halve ster (star-half-o) en een aantal lege sterren (star-o).
     * <p>
     * Deze namen komen overeen met namen van afbeeldingen uit de 'Font Awesome'-collectie
     *
     * @param sterren Een aantal sterren (0-5)
     * @return Een lijst van 5 strings
     */
    public static List<String> sterrenAlsStrings(double sterren) {
        // Het (afgerond) aantal halve sterren
        int aantalHalve = (int) Math.round(2.0 * sterren);

        List<String> resultaat = new ArrayList<>(5);
        // volle sterren
        for (int i = 0; i < aantalHalve / 2; i++) {
            resultaat.add("star");
        }
        // halve ster als aantalHalve oneven is
        if (aantalHalve % 2 == 1) {
            resultaat.add("star-half-o");
        }
        //de rest zijn lege sterren
        for (int i = resultaat.size(); i < 5; i++) {
            resultaat.add("star-o");
        }

        return resultaat;
    }
}
